Delivery
Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Request body
hostnamestringRequired
ipstringRequired
platformstringRequired
versionstringRequired
Response
200OKLinkGameServerResponseDto
Show fieldsHide fields
gameserverStorefrontGameServerDtoRequiredRepresents a simplified view of a game server for storefront display purposes.
enabledbooleanRequired
Indicates whether the game server is currently enabled.
idFlakeIdRequired
namestringRequired
The display name of the game server.
update_availablebooleanRequired
latest_versionstringOptional
previously_linkedPreviousGameServerLinkDtoOptional
host_namestringRequired
ipstringRequired
last_linked_atstringRequired
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/delivery/gameserver/link" \
-H "Authorization: Gameserver TOKEN" \
-H "Content-Type: application/json" \
-d '{
"hostname": "string",
"ip": "string",
"platform": "string",
"version": "string"
}'import requests
headers = {"Authorization": "Gameserver TOKEN"}
payload = {
"hostname": "string",
"ip": "string",
"platform": "string",
"version": "string",
}
response = requests.post("https://api.paynow.gg/v1/delivery/gameserver/link", headers=headers, json=payload)Response200
{
"gameserver": {
"enabled": true,
"id": "411486491630370816",
"name": "string"
},
"update_available": true,
"latest_version": "string",
"previously_linked": {
"host_name": "string",
"ip": "string",
"last_linked_at": "2024-01-01T00:00:00Z"
}
}Retrieve the queue of commands to execute for a Gameserver
GEThttps://api.paynow.gg/v1/delivery/command-queue
Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Response
200OKQueuedCommandDto[]
Represents a command to be executed on a Gameserver
Show fieldsHide fields
attempt_idFlakeIdRequired
commandstringRequired
The command to be executed.
online_onlybooleanRequired
Indicates if the command should be executed only if the customer is online (Connected to the gameserver)
queued_atstringRequired
Represents when the command was queued.
customer_namestringOptional
The name of the customer, if applicable.
minecraft_uuidstringOptional
The Minecraft UUID of the customer, if applicable.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/delivery/command-queue" \
-H "Authorization: Gameserver TOKEN"import requests
headers = {"Authorization": "Gameserver TOKEN"}
response = requests.get("https://api.paynow.gg/v1/delivery/command-queue", headers=headers)Response200
[
{
"attempt_id": "411486491630370816",
"command": "string",
"online_only": true,
"queued_at": "2024-01-01T00:00:00Z",
"steam_id": "76561197960287930",
"minecraft_uuid": "string",
"customer_name": "string"
}
]Retrieve the queued commands, while supplying the online players for a gameserver
POSThttps://api.paynow.gg/v1/delivery/command-queue
Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Request body
customer_namesstring[]Optional
minecraft_uuidsstring[]Optional
steam_idsSteamId[]Optional
A 64-bit Steam account identifier. Accepts string or numeric format.
Response
200OKQueuedCommandDto[]
Represents a command to be executed on a Gameserver
Show fieldsHide fields
attempt_idFlakeIdRequired
commandstringRequired
The command to be executed.
online_onlybooleanRequired
Indicates if the command should be executed only if the customer is online (Connected to the gameserver)
queued_atstringRequired
Represents when the command was queued.
customer_namestringOptional
The name of the customer, if applicable.
minecraft_uuidstringOptional
The Minecraft UUID of the customer, if applicable.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/delivery/command-queue" \
-H "Authorization: Gameserver TOKEN" \
-H "Content-Type: application/json" \
-d '{
"steam_ids": [
"76561197960287930"
],
"minecraft_uuids": [
"string"
],
"customer_names": [
"string"
]
}'import requests
headers = {"Authorization": "Gameserver TOKEN"}
payload = {
"steam_ids": [
"76561197960287930",
],
"minecraft_uuids": [
"string",
],
"customer_names": [
"string",
],
}
response = requests.post("https://api.paynow.gg/v1/delivery/command-queue", headers=headers, json=payload)Response200
[
{
"attempt_id": "411486491630370816",
"command": "string",
"online_only": true,
"queued_at": "2024-01-01T00:00:00Z",
"steam_id": "76561197960287930",
"minecraft_uuid": "string",
"customer_name": "string"
}
]Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Request body
attempt_idFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/delivery/command-queue" \
-H "Authorization: Gameserver TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"attempt_id": "411486491630370816"
}
]'import requests
headers = {"Authorization": "Gameserver TOKEN"}
payload = [
{
"attempt_id": "411486491630370816",
},
]
response = requests.delete("https://api.paynow.gg/v1/delivery/command-queue", headers=headers, json=payload)Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Path parameters
attemptIdFlakeIdRequired
curl -X DELETE "https://api.paynow.gg/v1/delivery/command-queue/{attemptId}" \
-H "Authorization: Gameserver TOKEN"import requests
headers = {"Authorization": "Gameserver TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/delivery/command-queue/{attemptId}", headers=headers)Mark commands as executed in bulk via a POST request
POSThttps://api.paynow.gg/v1/delivery/command-queue/acknowledge
Mark commands as executed in bulk via a POST request. Some HTTP clients don't support bodies in DELETE requests, so for compatibility we have a POST route. Please use the DELETE route if your HTTP client supports it.
Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Request body
attempt_idFlakeIdRequired
curl -X POST "https://api.paynow.gg/v1/delivery/command-queue/acknowledge" \
-H "Authorization: Gameserver TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"attempt_id": "411486491630370816"
}
]'import requests
headers = {"Authorization": "Gameserver TOKEN"}
payload = [
{
"attempt_id": "411486491630370816",
},
]
response = requests.post("https://api.paynow.gg/v1/delivery/command-queue/acknowledge", headers=headers, json=payload)Headers
AuthorizationGame server tokenRequired
Authentication token for this request, sent as
Authorization: Gameserver TOKEN.Request body
eventenumRequired
Represents the types of events that can occur on a game server.
Possible enum values
invalidInvalid or unspecified event type. Used as the default value.
player_joinIndicates a player has joined the game server.
timestampstringRequired
When did this event occur.
player_joinReportGameServerEventsEntryPlayerJoinDtoOptionalContains detailed information about a player joining a game server.
ip_addressIPAddressRequired
minecraft_namestringOptional
The Minecraft username of the player.
minecraft_uuidstringOptional
The Minecraft UUID of the player.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
curl -X POST "https://api.paynow.gg/v1/delivery/events" \
-H "Authorization: Gameserver TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"event": "invalid",
"timestamp": "2024-01-01T00:00:00Z",
"player_join": {
"ip_address": "127.0.0.1",
"steam_id": "76561197960287930",
"minecraft_uuid": "string",
"minecraft_name": "string"
}
}
]'import requests
headers = {"Authorization": "Gameserver TOKEN"}
payload = [
{
"event": "invalid",
"timestamp": "2024-01-01T00:00:00Z",
"player_join": {
"ip_address": "127.0.0.1",
"steam_id": "76561197960287930",
"minecraft_uuid": "string",
"minecraft_name": "string",
},
},
]
response = requests.post("https://api.paynow.gg/v1/delivery/events", headers=headers, json=payload)